# Review: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=173660

%global minor_version 2.3

Name:           xfce4-diskperf-plugin
Version:        2.3.0
Release:        3%{?dist}
Summary:        Disk performance plugin for the Xfce panel

Group:          User Interface/Desktops
License:        BSD
URL:            http://goodies.xfce.org/panel-plugins/{%name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minor_version}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-2.3.0-dsofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfce4-panel-devel >= 4.3.90
BuildRequires:  libxfcegui4-devel >= 4.3.90
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.4.0

%description
The DiskPerf plugin displays disk/partition performance (bytes transfered per
second) based on data provided by the kernel.

%prep
%setup -q
%patch0 -p1 -b .dsofix


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Tue Feb 28 2012 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.0-3
- Add patch to fix DSO linking
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
- Rebuild for new libpng

* Mon Jun 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.0-2
- Rebuild to fix build bug with FORTIFY_SOURCE (#702869)

* Fri Feb 25 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.0-1
- Update to 2.3.0
- Remove all patches

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 14 2011 Adam Williamson <awilliam@redhat.com> - 2.2.0-7
- 01_fix-linking-libxfcegui4.patch: fix underlinking (Landry Breuil)
- 02_fix-libtool.patch: fix autoconf (upstream via Debian)

* Wed Feb 17 2010 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.0-6
- Add patch to fix DSO linking (#564985)

* Thu Sep 10 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.0-5
- Fix custom bar colors at startup (bugzilla.xfce.org #3074)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.0-2
- Rebuild for Xfce 4.6 (Beta 3)

* Sun Apr 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1.0-5
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.0-4
- Rebuild for BuildID feature

* Sat Apr 28 2007 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.0-3
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.0-2
- Rebuild for Xfce 4.4.

* Sat Jan 20 2007 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0.
- Remove patch for #215863, fixed upstream.

* Sat Nov 25 2006 Christoph Wickert <cwickert@fedoraproject.org> - 2.0-4
- Add patch to fix bug bugzilla.xfce.org #1842 (#215863)

* Thu Oct 05 2006 Christoph Wickert <cwickert@fedoraproject.org> - 2.0-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <cwickert@fedoraproject.org> - 2.0-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 2.0-1
- Update to 2.0 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <cwickert@fedoraproject.org> - 1.5-7
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 1.5-6
- Require xfce4-panel.

* Wed Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 1.5-5
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 1.5-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 1.5-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 1.5-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 1.5-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 1.5-1.fc3.cw
- Initial RPM release.
